Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1469462 - gnome-shell does not honor mouse middle-click (lower) under wayland
Summary: gnome-shell does not honor mouse middle-click (lower) under wayland
Keywords:
Status: CLOSED DUPLICATE of bug 1349225
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-11 10:16 UTC by Ferry Huberts
Modified: 2021-07-01 08:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-01 08:11:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ferry Huberts 2017-07-11 10:16:02 UTC
Description of problem:
I have set the mouse middle click action to 'lower' in the gnome tweak tool.
However, gnome-shell doesn't honor this setting under Wayland.

Since I use this a lot it makes my user experience a lot worse.

Version-Release number of selected component (if applicable):
gnome-shell-3.24.2-1.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. see description
2.
3.

Additional info:
Upgraded the machine to F26 from F25, using dnf

I think it also didn't work under F25

Comment 1 Ferry Huberts 2017-07-11 10:46:55 UTC
Ok, so after an update and reboot today it works.

Comment 2 Ferry Huberts 2017-07-11 11:33:22 UTC
actually, some applications do respond (firefox, thunderbird)
and some others do not respond (totem, nautilus)

Comment 3 Florian Müllner 2017-07-14 12:30:13 UTC
(In reply to Ferry Huberts from comment #2)
> actually, some applications do respond (firefox, thunderbird)

Yes, those are using the X11 backend, while ...


> and some others do not respond (totem, nautilus)

... use the native wayland backed. For those, the client is responsible for implementing the middle-click titlebar action (so GTK+ in this case), however for the time being there's no wayland protocol that allows the toolkit to implement that behavior.

So for a fix, this needs:
 - a protocol that allows clients to lower themselves
 - support for that protocol in mutter
 - clients/toolkits using that protocol to implement the
   titlebar action

Comment 4 Ferry Huberts 2017-07-14 12:54:16 UTC
Ok, thanks for the clear answer.

Will use X then until this functionality is added.
Was quite happy with Wayland on F26 but this is a deal-breaker for me :-(

Comment 5 Fedora End Of Life 2018-05-03 08:00:52 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-02 21:52:46 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-03 14:59:06 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jonas Ådahl 2021-07-01 08:11:54 UTC

*** This bug has been marked as a duplicate of bug 1349225 ***


Note You need to log in before you can comment on or make changes to this bug.